<?php
class ControllerShippingFuturaFreteContaCliente extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('shipping/futura_frete_conta_cliente');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('setting/setting');
		$this->load->type('tipocomum');
		$this->load->helper('ftr_geral');

		$this->data['ftr_geral'] = new ftr_geral();

		$this->data['Type_Status'] = $this->load->typeForTwig('Type_Status');

		if ($this->request->server['REQUEST_METHOD'] == 'POST' && $this->validate()) {
			$this->model_setting_setting->editSetting('futura_frete_conta_cliente', $this->request->post);
			$this->session->data['success'] = $this->language->get('text_success');

			$this->redirect($this->url->linkAnchor('extension/module', 'token=' . $this->session->data['token'], 'tab-info=' . $this->request->get['type'], 'SSL'));
		}

		$this->data['heading_title'] = $this->language->get('heading_title');
		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		$this->data['text_value'] = $this->language->get('text_value');
		$this->data['text_title'] = $this->language->get('text_title');
		$this->data['text_text'] = $this->language->get('text_text');
		$this->data['text_habilitar_tipo'] = explode(',' ,$this->language->get('text_habilitar_tipo'));
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_order']  = $this->language->get('entry_order');
		$this->data['button_save'] = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		
		$this->data['entry_habilitar_tipo'] = $this->language->get('entry_habilitar_tipo');
		$this->data['entry_habilitar_tipo_obs'] = $this->language->get('entry_habilitar_tipo_obs');

		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		}else{
			$this->data['error_warning'] = '';
		}

		$this->data['breadcrumbs'] = array();
		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
			'separator' => false
		);

		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('text_module'),
			'href'      => $this->url->linkAnchor('extension/module', 'token=' . $this->session->data['token'], 'tab-info=' . $this->request->get['type'], 'SSL'),
			'separator' => ' :: '
		);

		$this->data['breadcrumbs'][] = array(
			'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('shipping/futura_frete_conta_cliente', 'token=' . $this->session->data['token'] . '&type=' . $this->request->get['type'], 'SSL'),
			'separator' => ' :: '
		);

		$this->data['action'] = $this->url->link('shipping/futura_frete_conta_cliente', 'token=' . $this->session->data['token'] . '&type=' . $this->request->get['type'], 'SSL');
		$this->data['cancel'] = $this->url->linkAnchor('extension/module', 'token=' . $this->session->data['token'], 'tab-info=' . $this->request->get['type'], 'SSL');

		if (isset($this->request->post['futura_frete_conta_cliente_status'])) {
			$this->data['futura_frete_conta_cliente_status'] = $this->request->post['futura_frete_conta_cliente_status'];
		}elseif($this->config->get('futura_frete_conta_cliente_status')) {
			$this->data['futura_frete_conta_cliente_status'] = $this->config->get('futura_frete_conta_cliente_status');
		}else{
			$this->data['futura_frete_conta_cliente_status'] = '';
		}


		if (isset($this->request->post['futura_frete_conta_cliente_sort_order'])) {
			$this->data['futura_frete_conta_cliente_sort_order'] = $this->request->post['futura_frete_conta_cliente_sort_order'];
		} else {
			$this->data['futura_frete_conta_cliente_sort_order'] = $this->config->get('futura_frete_conta_cliente_sort_order');
		}

		if (isset($this->request->post['futura_frete_conta_cliente_habilitar_pessoa_tipo'])) {
			$this->data['futura_frete_conta_cliente_habilitar_pessoa_tipo'] = $this->request->post['futura_frete_conta_cliente_habilitar_pessoa_tipo'];
		} else {
			$this->data['futura_frete_conta_cliente_habilitar_pessoa_tipo'] = $this->config->get('futura_frete_conta_cliente_habilitar_pessoa_tipo');
		}


		// chama a view
		$this->children = array(
			'common/header',
			'common/footer',
		);

		$this->response->setOutput($this->render('shipping/futura_frete_conta_cliente'));
	}

	public function install() {
		$this->load->model('setting/setting');
		$this->model_setting_setting->editSetting('futura_frete_conta_cliente',
		array('futura_frete_conta_cliente_value' => 'Valor por Conta do Cliente',
		'futura_frete_conta_cliente_title' => 'Envio por Transportadora',
		'futura_frete_conta_cliente_text'  => 'Minha Transportadora',
		'futura_frete_conta_cliente_habilitar_pessoa_tipo'  => '2',)
	);
}

private function validate() {
	if (!$this->user->hasPermission('modify', 'shipping/futura_frete_conta_cliente')) {
		$this->error['warning'] = $this->language->get('error_permission');
	}

	if (!$this->error) {
		return true;
	} else {
		return false;
	}

}

}
